#include <iostream>
#include <map>
#include <set>
#include <cmath>
#include <ctime>
#include <deque>
#include <queue>
#include <stack>
#include <cstdio>
#include <string>
#include <vector>
#include <iomanip>
#include <algorithm>
typedef short int si;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
using namespace std;
ll binpow(ll a, ll b) {
	if (!b)
		return 1;
	if (b == 1)
		return a;
	if (!(b % 2))
		return binpow(a, b / 2) * binpow(a, b / 2);
	else
		return binpow(a, b / 2) * binpow(a, b / 2)*a;
}
void build(vector <vector<char>> &a, ll x, ll y, ll l) {
	if (l != 4) {
		build(a, x, y, l / 2); //верхний треугольник
		build(a, abs(x - l / 2), abs(y + l / 2), l / 2); //нижний левый треугольник
		build(a, x + l / 2, abs(y + l / 2), l / 2); //нижний правый треугольник
		return;
	}
	else {
		x -= 3;
		ll stb = 4; //длина боковой стороны 2^n
		ll stn = 8; //длина основания в 2 разa больше длины боковой стороны
		for (ll i = y; i < y + 4; ++i) {
			a[i][x + 3 - i + y] = '/';
			a[i][x + 4 + i - y] = 92;
		}
		a[y + 2][x + 5] = '/';
		a[y + 3][x + 4] = '/';
		a[y + 2][x + 2] = 92;
		a[y + 3][x + 3] = 92;
		a[y + 1][x + 3] = '_';
		a[y + 1][x + 4] = '_';
		a[y + 3][x + 1] = '_';
		a[y + 3][x + 2] = '_';
		a[y + 3][x + 5] = '_';
		a[y + 3][x + 6] = '_';
		return;
	}
}
int main() {
	ll n;
	cin >> n;
	if (n == 1) {
		cout << " /" << char(92) << "\n/__" << char(92);
		return 0;
	}
	ll stb = binpow(2, n); //длина боковой стороны 2^n
	vector <vector<char>> a(stb, vector<char>(stb * 2, ' '));
	build(a, stb - 1, 0, stb);
	for (ll i = 0; i < a.size(); ++i) {
		for (ll j = 0; j <= stb + i; ++j)
			cout << a[i][j];
		cout << endl;
	}
	return 0;
}